package Test::Schema::Statistics;

use strict;
use warnings;

use base 'DBIx::Class';

__PACKAGE__->load_components(qw/Core/);
__PACKAGE__->table("Statistics");
__PACKAGE__->add_columns(
    'sourceLineId' => {
        data_type => 'varchar',
        size => 36,
        is_nullable => 0,
    },
    'targetLineId' => {
        data_type => 'varchar',
        size => 36,
        is_nullable => 0,
    },
    'date' => {
        data_type => 'date',
        is_nullable => 0,
    },
    'profileId' => {
        data_type => 'int',
        is_nullable => 0,
    },
    'bannerId' => {
        data_type => 'int',
        is_nullable => 0,
    },
    'impressions' => {
        data_type => 'int',
        extra => { unsigned => 1 },
        is_nullable => 1,
        default => undef,
    },
    'clicks' => {
        data_type => 'int',
        extra => { unsigned => 1 },
        is_nullable => 1,
        default => undef,
    },
    'clickReach' => {
        data_type => 'int',
        extra => { unsigned => 1 },
        is_nullable => 1,
        default => undef,
    },
    'leads' => {
        data_type => 'int',
        extra => { unsigned => 1 },
        is_nullable => 1,
        default => undef,
    },
    'leads_nu' => {
        data_type => 'int',
        extra => { unsigned => 1 },
        is_nullable => 1,
        default => undef,
    },
    'leads_reach' => {
        data_type => 'int',
        extra => { unsigned => 1 },
        is_nullable => 1,
        default => undef,
    },
);

__PACKAGE__->set_primary_key(qw/ sourceLineId targetLineId date profileId bannerId /);


1;
